osmium::builder::TagListBuilder Class Reference

`#include <osm_object_builder.hpp>`

Inheritance diagram for osmium::builder::TagListBuilder:
[legend]
Collaboration diagram for osmium::builder::TagListBuilder:
[legend]

## Public Member Functions

| TagListBuilder (osmium::memory::Buffer &buffer, Builder *parent=nullptr)
| ~TagListBuilder ()
void | add_tag (const char *key, const char *value)
void | add_tag (const char *key, const size_t key_length, const char *value, const size_t value_length)
void | add_tag (const std::string &key, const std::string &value)
void | add_tag (const osmium::Tag &tag)
void | add_tag (const std::pair< const char *const, const char *const > &tag)
void | add_tag (const std::pair< const char *const, const char * > &tag)
void | add_tag (const std::pair< const char *, const char *const > &tag)
void | add_tag (const std::pair< const char *, const char * > &tag)
void | add_tag (const std::pair< const std::string &, const std::string & > &tag)
Public Member Functions inherited from osmium::builder::ObjectBuilder< TagList >
| ObjectBuilder (osmium::memory::Buffer &buffer, Builder *parent=nullptr)
TagList & | object () noexcept
void | add_user (const char *user, const string_size_type length)
void | add_user (const char *user)
void | add_user (const std::string &user)
Public Member Functions inherited from osmium::builder::Builder
void | add_padding (bool self=false)
void | add_size (uint32_t size)
uint32_t | size () const noexcept
void | add_item (const osmium::memory::Item *item)
template<typename T >
T * | reserve_space_for ()
osmium::memory::item_size_type | append (const char *data, const osmium::memory::item_size_type length)
osmium::memory::item_size_type | append (const char *str)
osmium::memory::item_size_type | append_zero ()
osmium::memory::Buffer & | buffer () noexcept
| Return the buffer this builder is using. More...

## Additional Inherited Members

Protected Member Functions inherited from osmium::builder::Builder
| Builder (osmium::memory::Buffer &buffer, Builder *parent, osmium::memory::item_size_type size)
| ~Builder ()=default
osmium::memory::Item & | item () const

## Constructor & Destructor Documentation

osmium::builder::TagListBuilder::TagListBuilder | ( | osmium::memory::Buffer & | buffer,
|  | Builder * | parent = `nullptr`
| ) |  |

inline explicit

osmium::builder::TagListBuilder::~TagListBuilder | ( |  | ) |

inline

## Member Function Documentation

void osmium::builder::TagListBuilder::add_tag | ( | const char * | key,
|  | const char * | value
| ) |  |

inline

Add tag to buffer.

Parameters

  key | Tag key (0-terminated string).
  value | Tag value (0-terminated string).

void osmium::builder::TagListBuilder::add_tag | ( | const char * | key,
|  | const size_t | key_length,
|  | const char * | value,
|  | const size_t | value_length
| ) |  |

inline

Add tag to buffer.

Parameters

  key | Pointer to tag key.
  key_length | Length of key (not including the \0 byte).
  value | Pointer to tag value.
  value_length | Length of value (not including the \0 byte).

void osmium::builder::TagListBuilder::add_tag | ( | const std::string & | key,
|  | const std::string & | value
| ) |  |

inline

Add tag to buffer.

Parameters

  key | Tag key.
  value | Tag value.

void osmium::builder::TagListBuilder::add_tag | ( | const osmium::Tag & | tag | ) |

inline

Add tag to buffer.

Parameters

  tag | Tag.

void osmium::builder::TagListBuilder::add_tag | ( | const std::pair< const char *const, const char *const > & | tag | ) |

inline

Add tag to buffer.

Parameters

  tag | Pair of key/value 0-terminated strings.

void osmium::builder::TagListBuilder::add_tag | ( | const std::pair< const char *const, const char * > & | tag | ) |

inline

void osmium::builder::TagListBuilder::add_tag | ( | const std::pair< const char *, const char *const > & | tag | ) |

inline

void osmium::builder::TagListBuilder::add_tag | ( | const std::pair< const char *, const char * > & | tag | ) |

inline

void osmium::builder::TagListBuilder::add_tag | ( | const std::pair< const std::string &, const std::string & > & | tag | ) |

inline

Add tag to buffer.

Parameters

  tag | Pair of std::string references.

The documentation for this class was generated from the following file:

- osmium/builder/osm_object_builder.hpp